Bug 394308 - KMag image fills ¼ of window on a 2x HiDPI screen
Summary: KMag image fills ¼ of window on a 2x HiDPI screen
Status: RESOLVED FIXED
Alias: None
Product: kmag
Classification: Unclassified
Component: general (show other bugs)
Version: 1.0
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: sarang
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-16 07:20 UTC by Matt Blissett
Modified: 2018-06-27 20:29 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 18.04.3


Attachments
Screenshot of problem (61.98 KB, image/png)
2018-05-16 07:20 UTC, Matt Blissett
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Blissett 2018-05-16 07:20:29 UTC
Created attachment 112682 [details]
Screenshot of problem

The magnified image only covers a quarter of the window.

I assume this is because I'm using a 4K screen, and in "System Settings → ... → Screen Scaling" have the scale set to 2.
Comment 1 Christoph Feck 2018-06-06 22:12:13 UTC
https://phabricator.kde.org/D13391
Comment 2 Christoph Feck 2018-06-27 20:29:36 UTC
Git commit f76e555c3ee94f06c1dbb43c11870760a47c1f54 by Christoph Feck.
Committed on 27/06/2018 at 20:28.
Pushed by cfeck into branch 'Applications/18.04'.

Fix HiDPI support

Adjust the centering shift based on the device scale factor.
Also enable HiDPI icons.
FIXED-IN: 18.04.3

Reviewed by: davidedmundson

Differential Revision: https://phabricator.kde.org/D13391

M  +2    -1    kmagzoomview.cpp
M  +1    -0    main.cpp

https://commits.kde.org/kmag/f76e555c3ee94f06c1dbb43c11870760a47c1f54